<?php
/**
* @author: Egor Smolyakov, 2012.
* @e-mail: mr.stelhammer@gmail.com
*/
defined('ROOT') or define('ROOT', str_replace('\\', '/', realpath(dirname (__FILE__))));
require_once ROOT . '/system/init.php'; // инициализация ядра
if(isset($_GET['referals'])) {
$sql = 'referals';
$str = 'referals';
$info = 'рефералов';
}else{
$sql = 'click';
$str = 'partners';
$info = 'партнеров';
}
page_head('Рейтинг '.$info); // название страницы
include_once ROOT . '/system/inc/classes/Navigator.class.php'; // класс навигации
$nav = new Navigator(HOST.'/rating/'.$str.'/?',$set['count_pages']);
 $querypost = DB :: run() -> query("SELECT `id`,`click`,`referals` FROM `users` WHERE `$sql` > 0 ORDER BY `$sql` DESC LIMIT ".$nav->start().", ".$nav->pnumber.";");
 $total = DB :: run() -> querySingle("SELECT count(*) FROM `users` WHERE `$sql` > '0.1';");
 if ($total > 0) {
 while ($uz = $querypost -> fetch()) {

 echo '<div class="menu">(ID=<b>'.$uz['id'].'</b>)<br />';
 if ($sql == 'click') echo 'Кликов сегодня: <b>'.$uz['click'].'</b>'; else echo 'Рефералов: <b>'.$uz['referals'].'</b> чел.';
echo '</div>';
 }
} else {
echo '<div class="menu">Рейтинг пуст.</div>';
}
echo $nav->navi($total,0);
echo '<div class="menu"><a href="'.HOST.'/">На главную</a></div>';
page_foot(); // низ сайта
?>